[package]
name = "side-node"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
clap = { version = "4.5.4", features = ["derive"] }
tokio = { version = "1.37.0", features = ["time"] }
websockets = "0.3.0"
bft-json-crdt = { path = "../crates/bft-json-crdt" }
bft-crdt-derive = { path = "../crates/bft-json-crdt/bft-crdt-derive" }
# serde_cbor = "0.11.2" # move to this once we need to pack things in CBOR
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0.117"

[features]
default = ["bft", "logging-list", "logging-json"]
logging-list = ["logging-base"]
logging-json = ["logging-base"]
logging-base = []
bft = []
